part of 'settings_bloc.dart';

@immutable
abstract class SettingsEvent extends Equatable {
  const SettingsEvent();
  @override
  List<Object> get props => [];
}

class SettingsChangeLanguage extends SettingsEvent {
  final String language;
  const SettingsChangeLanguage({required this.language});
}

class SettingsGetLanguage extends SettingsEvent {
  const SettingsGetLanguage();
}

class SettingsSetServer extends SettingsEvent {
  final bool live;
  const SettingsSetServer({required this.live});

  @override
  List<Object> get props => [this.live];
}

class SettingsSetHardware extends SettingsEvent {
  final bool hasHardware;
  const SettingsSetHardware({required this.hasHardware});

  @override
  List<Object> get props => [this.hasHardware];
}

class SettingsActivateTutorial extends SettingsEvent {
  final ActivityDone activity;
  const SettingsActivateTutorial({required this.activity});

  @override
  List<Object> get props => [this.activity];
}
